package xn.hxp.room.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class UserInfo {
    @PrimaryKey
    private int id;
    // 过期时间
    private String expiresIn;
    /**
     * 账号类型
     * -1 超级管理员
     * 0 管理员
     * 1 普通用户
     */
    private int accountType;
    // 商户ID
    private int tenantId;

    // 是否初始密码
    private boolean isInitPasswd;
    // "用户类型:0-系统-,1-教职工,2-学生,3-大屏"
    /**
     * 用户类型
     * 0 系统
     * 1 教职工
     * 2 学生
     * 3 大屏
     */
    private int userType;
    // 头像
    private String avatar;

    // 用户名字
    private String userName;

    // 用户ID
    private long userId;
    // 账号
    private String account;
    // token
    private String token;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(String expiresIn) {
        this.expiresIn = expiresIn;
    }

    public int getAccountType() {
        return accountType;
    }

    public void setAccountType(int accountType) {
        this.accountType = accountType;
    }

    public int getTenantId() {
        return tenantId;
    }

    public void setTenantId(int tenantId) {
        this.tenantId = tenantId;
    }

    public boolean isInitPasswd() {
        return isInitPasswd;
    }

    public void setInitPasswd(boolean initPasswd) {
        isInitPasswd = initPasswd;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
